Buy Airtime
curl --request POST \
--url https://api.dojah.io/api/v1/purchase/airtime \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"destination": "<string>"
}
'import requests
url = "https://api.dojah.io/api/v1/purchase/airtime"
payload = {
"amount": "<string>",
"destination": "<string>"
}
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
AppId: '<appid>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: '<string>', destination: '<string>'})
};
fetch('https://api.dojah.io/api/v1/purchase/airtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"status": "Sent",
"mobile": "+2348109152844",
"amount": "NGN 200.0000"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Buy Airtime
An end point that allows your end users to purchase airtime for all mobile network
POST
/
api
/
v1
/
purchase
/
airtime
Buy Airtime
Application ID from dashboard
BODY PARAMS
amount of airtime
number to receive the airtime e.g 2348012345678
RESPONSES
json
{
"entity": {
"status": "Sent",
"mobile": "+2348109152844",
"amount": "NGN 200.0000"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I